[build-system]
requires = ["setuptools", "setuptools-scm"]
build-backend = "setuptools.build_meta"

[project]
name = "awwrf"
authors = [
    {name = "Michael Reisecker", email = "m.r@sbg.at"}
]
description = "Package to post-process WRF output to integrate into avalanche forecasting toolchains."
version = "0.0.1"
license = {file = "LICENSE"}
readme = "README.md"
# TODO: wrf-python from pip once https://github.com/NCAR/wrf-python/pull/241 is up
dependencies = [
    "branca",
    "cartopy",
    "folium",
    "matplotlib",
    "netCDF4",
    "numpy",
    "rasterio",
    "wrf-python @ https://github.com/NCAR/wrf-python/archive/57116836593b7d7833e11cf11927453c6388487b.zip",
    "xarray" 
]

[project.urls]
Homepage = "https://gitlab.com/avalanche-warning/models/wrf"
